MyDCOPObject class Reference (dcop Library)

| # dcop Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# MyDCOPObject Class Reference

$QTDIR/bin/moc testdcop.cpp -o testdcop.moc g++ -o testdcop testdcop.cpp -I$KDEDIR/include -I$QTDIR/include -L$KDEDIR/lib -L$QTDIR/lib -lkdecore -ldl More...

`#include <testdcop.h>`

Inheritance diagram for MyDCOPObject:

[legend]
Collaboration diagram for MyDCOPObject:

[legend]
List of all members.

## Public Slots
void | registered (const QCString &appName)
void | unregistered (const QCString &appName)
QCStringList | functions ()
| Returns the list of functions understood by the object.
## Public Member Functions
| MyDCOPObject (const QCString &name)
bool | process (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
| Dispatches a message.
void | function (const QString &arg1, int arg2)

## Detailed Description

$QTDIR/bin/moc testdcop.cpp -o testdcop.moc g++ -o testdcop testdcop.cpp -I$KDEDIR/include -I$QTDIR/include -L$KDEDIR/lib -L$QTDIR/lib -lkdecore -ldl

Definition at line 45 of file testdcop.h.

## Member Function Documentation

bool MyDCOPObject::process | ( | const QCString & | fun,
|  | const QByteArray & | data,
|  | QCString & | replyType,
|  | QByteArray & | replyData
| ) | `[virtual]`

  | Dispatches a message. Usually you want to use an IDL compiler to automatically generate an implementation for this function. If this function returns false, then processDynamic() is called. Note to implementators: remember to call the baseclasses implementation. It handles the functions "functions()" and "interfaces()" which return the lists of supported functions and interfaces, respectively. Parameters:
  fun | is the normalized function signature. Such a signature usually looks like foobar(QString,int). The return type, qualifiers like "const" etc. are not part of the signature.
  data | the received data
  replyType | write the reply type in this string
  replyData | write the reply data in this array
Returns: true if successful, false otherwise. The default implementation returns false for all `fun` except "functions()" and "interfaces()". See also: DCOPClient::normalizeFunctionSignature() functions() DCOPClient::process() Reimplemented from DCOPObject. Definition at line 28 of file testdcop.cpp. References DCOPObject::objId(), and DCOPObject::process().

QCStringList MyDCOPObject::functions | ( |  | ) | `[virtual, slot]`

| Returns the list of functions understood by the object. It gets reimplemented by the IDL compiler. If you don't use the IDL compiler, consider implementing this function manually if you want your object to be easily scriptable. Rationale: functions() allows an interpreter to do client-side type-casting properly. Note to implementators: remember to call the baseclasses implementation. Returns: a list of functions See also: interfaces() process() processDynamic() DCOPClient::normalizeFunctionSignature() Reimplemented from DCOPObject. Definition at line 67 of file testdcop.cpp. References DCOPObject::functions().

The documentation for this class was generated from the following files:

- testdcop.h
- testdcop.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:42:51 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001